## mingw-w64-sratom-0.6.20-1.src.tar.zst

=== meson_options.txt ===
# Copyright 2021-2025 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('docs', type: 'feature',
       description: 'Build documentation')

option('html', type: 'feature',
       description: 'Build paginated HTML documentation')

option('lint', type: 'boolean', value: false,
       description: 'Run code quality checks')

option('singlehtml', type: 'feature',
       description: 'Build single-page HTML documentation')

option('tests', type: 'feature',
       description: 'Build tests')

option('title', type: 'string', value: 'Sratom',
       description: 'Project title')

=== PKGBUILD ===
# Maintainer: Alexandros Theodotou <alex@zrythm.org>

_realname=sratom
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.6.20
pkgrel=1
pkgdesc='A C library for serializing LV2 atoms to and from RDF (mingw-w64)'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: sratom'
)
msys2_repository_url='https://gitlab.com/lv2/sratom/'
url='https://drobilla.net/software/sratom.html'
license=('spdx:0BSD OR ISC')
depends=("${MINGW_PACKAGE_PREFIX}-lv2"
         "${MINGW_PACKAGE_PREFIX}-serd"
         "${MINGW_PACKAGE_PREFIX}-sord")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-meson"
             "${MINGW_PACKAGE_PREFIX}-pkgconf")
source=(https://download.drobilla.net/${_realname}-${pkgver}.tar.xz{,.sig})
sha256sums=('3826e9186cabc43ca5e359fcc3d8238060232f5f8a2090be5dc9ab390e5b6477'
            'SKIP')
validpgpkeys=('907D226E7E13FA337F014A083672782A9BF368F3') # David Robillard <d@drobilla.net>

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/meson setup \
      --prefix="${MINGW_PREFIX}" \
      --wrap-mode=nodownload \
      --auto-features=enabled \
      --buildtype=plain \
      -Ddocs=disabled \
      ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/meson compile
}

check() {
  cd "${srcdir}/build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/meson test || warning "Tests failed"
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/meson install
  install -Dm644 "${srcdir}/${_realname}-${pkgver}/COPYING" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
